#!/usr/bin/perl -w
push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    my $sec=$spec->get_section('package',"-n rpm-macros-%{name}");
    if ($sec) {
	print STDERR "Oops! fool protection activated: It looks like $pkgname already has rpm-macros-%name\n";
	return;
    }
    $sec=$spec->add_section('package',"-n rpm-macros-%{name}");
    my $main_section=$spec->get_section('package','');
    $sec->push_body(q!Summary: Set of RPM macros for packaging %name-based applications
Group: Development/Other
# uncomment if macroses are platform-neutral
#BuildArch: noarch
# helps old apt to resolve file conflict at dist-upgrade (thanks to Stanislav Ievlev)
Conflicts: !.$pkgname.' <= '.$main_section->get_tag('Version').'-'.$main_section->get_tag('Release').q!

%description -n rpm-macros-%{name}
Set of RPM macros for packaging %name-based applications for ALT Linux.
Install this package if you want to create RPM packages that use %name.
!);

    $sec=$spec->get_section('install');
    $sec->subst(qr'\%{?_sysconfdir}?/rpm/macros.d','%_rpmmacrosdir');
    $sec->subst(qr'/etc/rpm/macros.d','%_rpmmacrosdir');



    $spec->add_section('files',"-n rpm-macros-%{name}")->push_body(q!%_rpmmacrosdir/*
!);
    $sec=$spec->get_section('package',"-n $pkgname");
    unless ($sec) {
	print STDERR "Oops! %package -n $pkgname not found!\n";
	return;
    }
    $sec->push_body(q"Requires: rpm-macros-%{name} = %{version}-%{release}
");
    $sec=$spec->get_section('files',"-n $pkgname");
    unless ($sec) {
	print STDERR "Oops! %files -n $pkgname not found!\n";
	return;
    }
    $sec->subst(qr'^(?:\%config(?:\s*\(.+\))?)?\s*\%{?_sysconfdir}?/rpm/macros.d','#%_rpmmacrosdir');
    $sec->subst(qr'^(?:\%config(?:\s*\(.+\))?)?\s*/etc/rpm/macros.d','#%_rpmmacrosdir');
    $sec->subst(qr'^(?:\%config(?:\s*\(.+\))?)?\s*\%{?_rpmmacrosdir}?','#%_rpmmacrosdir');
    $sec->push_body(q"%exclude %_rpmmacrosdir/*
");
};
1;
