#!/usr/bin/perl -w

push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    &tex_custom_kill_sec($spec, $pkgname,'post');
    &tex_custom_kill_sec($spec, $pkgname,'postun');
};

sub tex_custom_kill_sec {
    my ($spec, $pkgname,$secname) = @_;
    my $section=$spec->get_section($secname,'-n '.$pkgname);
    unless ($section) {
	print STDERR "Oops! (altlinux-policy-tex-obsolete-util-calls-in-post): $secname not found for $pkgname\n";
	return;
    }
    if ($section->get_body()->[0]=~m!^\s*\%post(?:un)?\s+.*-p\s+.*texhash!) {
	$spec->del_section($section->get_type(),$section->get_package());
    } else {
	$section->exclude(qr'texhash');
	$section->exclude(qr'TEXHASH');
	$section->exclude(qr'/usr/bin/updmap');
	if ($section->is_empty()) {
	    $spec->del_section($secname,'-n '.$pkgname);
	}
    }
}

1;
